Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 220645 - [NEW EBUILD] sys-apps/ack
Summary: [NEW EBUILD] sys-apps/ack
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: http://www.petdance.com/ack/
Whiteboard: [sunrise-overlay]
Keywords: EBUILD, InOverlay, REVIEWED
Depends on:
Blocks:
 
Reported: 2008-05-06 18:20 UTC by René 'Necoro' Neumann
Modified: 2008-08-04 20:31 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ack-1.82.ebuild (ack-1.82.ebuild,496 bytes, text/plain)
2008-05-06 18:21 UTC, René 'Necoro' Neumann
Details
ack-1.82.ebuild (ack-1.82.ebuild,468 bytes, text/plain)
2008-05-06 19:44 UTC, René 'Necoro' Neumann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description René 'Necoro' Neumann 2008-05-06 18:20:39 UTC
I stumpled upon ack reading this blog-post http://blog.i-no.de//archives/2008/05/06/index.html .

It mainly is "a tool like grep, aimed at programmers with large trees of
heterogeneous source code".

As I could not find an ebuild in bugzilla, I created one.

Note that it depends on File::Next, which has its own bug: #220639
Comment 1 René 'Necoro' Neumann 2008-05-06 18:21:36 UTC
Created attachment 152141 [details]
ack-1.82.ebuild

This ebuild is mainly generated using g-cpan and then modified a bit.
Comment 2 René 'Necoro' Neumann 2008-05-06 19:44:01 UTC
Created attachment 152155 [details]
ack-1.82.ebuild

repoman had problems with the header ;) - fixed this
Comment 3 René 'Necoro' Neumann 2008-05-07 06:55:53 UTC
This can now be found in sunrise:
http://overlays.gentoo.org/svn/proj/sunrise/reviewed/sys-apps/ack/
Comment 4 Brian Dolbec gentoo-dev 2008-05-27 04:37:12 UTC
version bump:

Latest version of ack: 1.84, May 25th, 2008
Comment 5 Martin Stockinger 2008-05-31 19:07:24 UTC
Please add ~amd64 keyword.
Comment 6 René 'Necoro' Neumann 2008-07-21 21:05:20 UTC
version bumped to 1.86 in sunrise
Comment 7 Rajiv Aaron Manglani (RETIRED) gentoo-dev 2008-08-04 20:31:23 UTC
got this one. in cvs. thanks.